Bluetooth: hci0: request failed to create LE connection: status 0x0c (Intel 9260)

Bug #1835449 reported by Vincent Bou on 2019-07-04
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Undecided
You-Sheng Yang
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]
Intel Wireless-AC 9260 Bluetooth doesn't pair to Bluetooth 5.0 HID
devices.

[Fix]
Bluetooth FW Build REL0329 or newer is known to have fixed this problem
on Cosmic, and for Disco we have REL0420. On Bionic and Xenial it takes
a firmware backport from upstream commit
c2d8f1b7f820b31b6120d741c23db23340a72821. Original patch modified to fix
conflicts in the WHENCE file.

[Test Case]
Verified on hardware platforms with Intel Wireless AC 9260 installed,
e.g. Dell Precision 7530. Copied the two blobs to /lib/firmware/intel
and power off the device completely to trigger firmware reload at the
next boot.

[Regression Risk]
Low. Tried following kernels with REL0329 firmware blobs:

  * 4.4.0-154-generic: Xenial, WiFi/Bluetooth doesn't work
  * 4.8.0-58-generic: Xenial, even doesn't boot to console
  * 4.10.0-42-generic: Xenial, WiFi/Bluetooth doesn't work
  * 4.11.0-14-generic: Xenial, WiFi/Bluetooth doesn't work
  * 4.13.0-45-generic: Xenial
  * 4.15.0-54-generic: Xenial, Bionic
  * 4.15.0-1043-oem: Xenial, Bionic

For those WiFi/Bluetooth doesn't work versions, WiFi/Bluetooth doesn't
work even with current firmware blobs shipped in Xenial's linux-firmware
REL0186. So overall, these updated blobs are only loaded by hardware
requires them, and they doesn't bring harm to known working
configurations.

================ Original Bug Description ================

Same problem exactly as encountered with Intel 9560 is also happening with Intel 9260.

Update to linux-firmware 1.173.8 did not fix the problem.

Everything is working fine when using 4.15 kernel, but not for 4.18+ 5.0+.

Reference problem:
https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/1829737

You-Sheng Yang advised to do this by email and it fixed my issue, so I think the 9260 driver would need to be updated in the bionic branch (it seems to be updated in newer branches).

--
Basically you should try copy the latest firmware (ibt-*) under
https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/tree/intel
, power off the device completely and power on, then have a check on
bluetooth pairing.
--

Linux ideapad 5.0.0-20-generic #21~18.04.1-Ubuntu SMP Thu Jun 27 04:04:37 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

OS: Linux Mint 19.1 Tessa x86_64
Host: 81JB Lenovo ideapad 730S-13IWL
Wifi/Bluetooth card is Intel 9260

xxxx@xxxx:/etc$ dmesg | egrep -i 'blue|firm'
[ 0.099619] Spectre V2 : Enabling Restricted Speculation for firmware calls
[ 0.173124] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[ 2.379392] [Firmware Bug]: Invalid critical threshold (0)
[ 2.699758] [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_04.bin (v1.4)
[ 6.259427] iwlwifi 0000:73:00.0: loaded firmware version 43.95eb4e97.0 op_mode iwlmvm
[ 6.337749] Bluetooth: Core ver 2.22
[ 6.337767] Bluetooth: HCI device and connection manager initialized
[ 6.337770] Bluetooth: HCI socket layer initialized
[ 6.337773] Bluetooth: L2CAP socket layer initialized
[ 6.337777] Bluetooth: SCO socket layer initialized
[ 6.368073] Bluetooth: hci0: Firmware revision 0.1 build 201 week 49 2017
[ 7.309936] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 7.309938] Bluetooth: BNEP filters: protocol multicast
[ 7.309943] Bluetooth: BNEP socket layer initialized
[ 17.197268] Bluetooth: RFCOMM TTY layer initialized
[ 17.197275] Bluetooth: RFCOMM socket layer initialized
[ 17.197284] Bluetooth: RFCOMM ver 1.11
[ 104.453159] Bluetooth: hci0: request failed to create LE connection: status 0x0c
[ 104.509148] Bluetooth: hci0: request failed to create LE connection: status 0x0c
[ 104.551340] Bluetooth: hci0: request failed to create LE connection: status 0x0c
[ 104.589338] Bluetooth: hci0: request failed to create LE connection: status 0x0c
[ 104.623323] Bluetooth: hci0: request failed to create LE connection: status 0x0c

You-Sheng Yang (vicamo) on 2019-07-05
Changed in linux-firmware (Ubuntu):
assignee: nobody → You-Sheng Yang (vicamo)
status: New → Triaged
You-Sheng Yang (vicamo) wrote :

Hi @vincentbou, I'll need you to run `apport-collect 1835449` in the first boot after completely power off again. I need to know which firmware blob, probably in the name "intel/ibt-*", to be updated.

See also http://manpages.ubuntu.com/manpages/bionic/man1/apport-bug.1.html for log collecting with apport.

You-Sheng Yang (vicamo) wrote :

The firmware version of intel/ibt-18-16-1.sfi of recent series are:

  * trusty: X
  * xenial: REL0186 (affected)
  * bionic: REL0201 (affected)
  * cosmic: REL0329 (working)
  * disco: REL0420 (working)

So currently only Bionic/Xenial are affected, and we don't have 9260 support in Trusty ever. Planning to upgrade firmware in Bionic & Xenial to REL0329 as Cosmic does.

You-Sheng Yang (vicamo) wrote :

Verified REL0329 firmware blobs in:

  * 4.4.0-154-generic: Xenial, WiFi/Bluetooth doesn't work
  * 4.8.0-58-generic: Xenial, doesn't boot on Dell Precision 7530
  * 4.10.0-42-generic: Xenial, WiFi/Bluetooth doesn't work
  * 4.11.0-14-generic: Xenial, WiFi/Bluetooth doesn't work
  * 4.13.0-45-generic: Xenial
  * 4.15.0-54-generic: Xenial, Bionic
  * 4.15.0-1043-oem: Xenial, Bionic

You-Sheng Yang (vicamo) wrote :
description: updated
Changed in linux-firmware (Ubuntu Xenial):
status: New → In Progress
Changed in linux-firmware (Ubuntu Bionic):
status: New → In Progress
Changed in linux-firmware (Ubuntu):
status: Triaged → In Progress
Seth Forshee (sforshee) on 2019-07-10
Changed in linux-firmware (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Bionic):
status: In Progress → Fix Committed

Hello Vincent, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Andy Whitcroft (apw) wrote :

Hello Vincent, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.22 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

You-Sheng Yang (vicamo) on 2019-07-15
tags: added: verification-done-bionic
tags: added: verification-done-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.9

---------------
linux-firmware (1.173.9) bionic; urgency=medium

  * Missing bluetooth firmware for Intel Wireless-AC 9462/9560 (LP: #1834464)
    - linux-firmware: Add firmware file for Intel Bluetooth AX201

  * [Intel CyclonePeak] Can not turn on BT after turn off (via Hotkey)
    (LP: #1835345)
    - linux-firmware: Update firmware file for Intel Bluetooth 22161
    - linux-firmware: Update firmware file for Intel Bluetooth 22161

  * Bluetooth: hci0: request failed to create LE connection: status 0x0c
    (Intel 9260) (LP: #1835449)
    - linux-firmware: Update firmware file for Intel Bluetooth, 9260

  * Update firmware in nic-firmware udeb for 5.0 hwe kernel (LP: #1836372)
    - Update nic-firmware.lst for 5.0 hwe kernel

 -- Seth Forshee <email address hidden> Fri, 12 Jul 2019 09:55:49 -0500

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.22

---------------
linux-firmware (1.157.22) xenial; urgency=medium

  * Bluetooth: hci0: request failed to create LE connection: status 0x0c
    (Intel 9260) (LP: #1835449)
    - linux-firmware: Update firmware file for Intel Bluetooth, 9260

 -- Seth Forshee <email address hidden> Fri, 12 Jul 2019 07:22:20 -0500

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers